Skip to main content
GET
/
domains
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.domains.list({});

  console.log(result);
}

run();
{
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "domain": "<string>",
      "dns_status": "<string>",
      "verified": true,
      "managed": true,
      "verified_at": "<string>",
      "ai_site_id": "<string>",
      "cname_target": "<string>",
      "dns_records": {},
      "created_at": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

query
string

Search by domain

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of domains

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required